--- /dev/null
+#!/bin/sh
+#
+# $Id: install-bin-symlinks.sh,v 1.1 2007/05/02 13:51:50 cph Exp $
+#
+# Copyright (C) 1986, 1987, 1988, 1989, 1990, 1991, 1992, 1993, 1994,
+# 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004,
+# 2005, 2006, 2007 Massachusetts Institute of Technology
+#
+# This file is part of MIT/GNU Scheme.
+#
+# MIT/GNU Scheme is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+#
+# MIT/GNU Scheme is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with MIT/GNU Scheme; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+# Utility to set up symbolic links at installation.
+
+set -e
+
+if [ ${#} -eq 2 ]; then
+ DIR=${1}
+ EXE=${2}
+else
+ echo "usage: ${0} <directory> <name>"
+ exit 1
+fi
+
+if [ "${EXE}" != mit-scheme ] && [ ! -e "${DIR}/mit-scheme" ]; then
+ echo "rm -f ${DIR}/mit-scheme"
+ rm -f "${DIR}/mit-scheme"
+ echo "ln -s ${EXE} ${DIR}/mit-scheme"
+ ln -s "${EXE}" "${DIR}/mit-scheme"
+fi
+
+echo "rm -f ${DIR}/scheme ${DIR}/bchscheme"
+rm -f "${DIR}/scheme" "${DIR}/bchscheme"
+echo "ln -s mit-scheme ${DIR}/scheme"
+ln -s mit-scheme "${DIR}/scheme"
+echo "ln -s mit-scheme ${DIR}/bchscheme"
+ln -s mit-scheme "${DIR}/bchscheme"
# -*- Makefile -*-
#
-# $Id: Makefile.in.in,v 1.51 2007/05/02 03:59:23 cph Exp $
+# $Id: Makefile.in.in,v 1.52 2007/05/02 13:51:56 cph Exp $
#
# Copyright (C) 1986, 1987, 1988, 1989, 1990, 1991, 1992, 1993, 1994,
# 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004,
install: install-auxLIBS install-auxDATA
$(mkinstalldirs) $(DESTDIR)$(bindir)
$(INSTALL_PROGRAM) scheme $(DESTDIR)$(bindir)/$(SYSTEM_BASE_NAME)
+ ../etc/install-bin-symlinks.sh $(DESTDIR)$(bindir) $(SYSTEM_BASE_NAME)
install-auxLIBS: $(aux_LIBS) $(LIARC_BUNDLES)
$(mkinstalldirs) $(DESTDIR)$(AUXDIR)/lib